syntax = "proto2";
package buffers.resources;

import "options.proto";

message Sound {
  optional int32 id = 2 [(gmx) = "GMX_DEPRECATED"];

  optional bool preload = 3;
  optional double pan = 4;
  optional double volume = 5 [(gmx) = "volume/volume"];
  optional string file_name = 6 [(gmx) = "data"];
  optional string file_extension = 7 [(gmx) = "extension"];

  enum Kind { NORMAL = 0; BACKGROUND_MUSIC = 1; THREE_DIMENSIONAL = 2; MULTIMEDIA_PLAYER = 3; }

  optional Kind kind = 8;

  enum Type { MONO = 0; STEREO = 1; POSITIONAL = 2; }

  optional Type type = 9 [(gmx) = "types/type"];

  optional string data = 10 [(gmx) = "origname", (file_path) = true, (file_kind) = AUDIO];

  optional int32 effects = 11;
  optional uint32 bit_rate = 12 [(gmx) = "bitRates/bitRate"];
  optional uint32 sample_rate = 13 [(gmx) = "sampleRates/sampleRate"];
  optional uint32 bit_depth = 14 [(gmx) = "bitDepths/bitDepth"];
  optional bool compressed = 15;
  optional bool streamed = 16;
  optional bool uncompress_on_load = 17 [(gmx) = "uncompressOnLoad"];
  optional int32 audio_group = 18 [(gmx) = "audioGroup"];
}
